--- src/VBox/HostDrivers/Support/freebsd/SUPDrv-freebsd.c.orig	2015-11-10 17:06:12 UTC
+++ src/VBox/HostDrivers/Support/freebsd/SUPDrv-freebsd.c
@@ -253,7 +253,7 @@ static int vboxdrvFreeBSDOpenCommon(stru
         /** @todo get (r)uid and (r)gid.
         pSession->Uid = stuff;
         pSession->Gid = stuff; */
-        rc = devfs_set_cdevpriv(pSession, vboxdrvFreeBSDDtr); Assert(rc == 0);
+        rc = devfs_set_cdevpriv(pSession, VBoxDrvFreeBSDDtr); Assert(rc == 0);
         Log(("VBoxDrvFreeBSDOpen: pSession=%p\n", pSession));
         ASMAtomicIncU32(&g_cUsers);
         return 0;
@@ -283,10 +283,10 @@ static int VBoxDrvFreeBSDOpenUsr(struct 
  * @returns 0 on success.
  * @param   pvData      The session being closed.
  */
-static void vboxdrvFreeBSDDtr(void *pvData)
+static void VBoxDrvFreeBSDDtr(void *pvData)
 {
     PSUPDRVSESSION pSession = pvData;
-    Log(("vboxdrvFreeBSDDtr: pSession=%p\n", pSession));
+    Log(("VBoxDrvFreeBSDDtr: pSession=%p\n", pSession));
 
     /*
      * Close the session.
@@ -541,8 +541,7 @@ bool VBOXCALL  supdrvOSGetForcedAsyncTsc
 
 bool VBOXCALL  supdrvOSAreCpusOfflinedOnSuspend(void)
 {
-    /** @todo verify this. */
-    return false;
+    return true;
 }
 
 
